Skip to content
Get started

List distinct service names visible to the caller

GET/api/traces/services/

The single trace-data viewset — one Span table, two read shapes.

Query ParametersExpand Collapse
agent: optional string
formatuuid
duration_ns__gte: optional number
duration_ns__lte: optional number
has_error: optional boolean
iteration: optional string
formatuuid
job: optional string
formatuuid
kind: optional number
max_duration_ms: optional number
min_duration_ms: optional number
name: optional string
operation: optional string
ordering: optional string

Which field to use when ordering the results.

page: optional number

A page number within the paginated result set.

project: optional string
formatuuid
received_at__gte: optional string
formatdate-time
received_at__lte: optional string
formatdate-time
service_name: optional string
service_name__in: optional array of string

Multiple values may be separated by commas.

span_id: optional string
span_type: optional "llm_call" or "tool_call"
  • llm_call - Llm Call
  • tool_call - Tool Call
Accepts one of the following:
"llm_call"
"tool_call"
start_time_ns__gte: optional number
start_time_ns__lte: optional number
status_code: optional number
trace_id: optional string
ReturnsExpand Collapse
count: number
results: array of string
List distinct service names visible to the caller
curl https://api.overmindlab.ai/api/traces/services/
{
  "count": 123,
  "results": [
    "string"
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}
Returns Examples
{
  "count": 123,
  "results": [
    "string"
  ],
  "next": "http://api.example.org/accounts/?page=4",
  "previous": "http://api.example.org/accounts/?page=2"
}